Skip to main content

Tap-Initiated Sale for Debt Recovery with a Token


Use this information to process a tap-initiated sale for debt recovery with a token.

A sale transaction combines an authorization and capture. When a cardholder attempts to use a blocked card at the transit reader, create a fresh debt recovery sale request using the chip data from the new tap, along with the fare amount of the previous declined authorization.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "transactionId": "12987654321",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "processingInformation": {        "industryDataType": "transit",        "reconciliationId": "dsgfsgsgsfdsgf",        "captureOptions": {            "dateToCapture": "0114"        },        "capture": "true",        "commerceIndicator": "retail",        "authorizationOptions": {            "debtRecoveryIndicator": "true",            "deferredAuthIndicator": "true"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "currency": "THB"        }    },    "paymentInformation": {        "card": {            "type": "001"        }    },    "tokenInformation": {        "jti": "a76392f4-cde4-97aa-1111-0242ac14c005"    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "catLevel": "2",        "entryMode": "contactless",        "terminalCapability": "5",        "terminalPinCapability": "0"    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/6502821914766725604006/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/6502821914766725604006"        }    },    "clientReferenceInformation": {        "code": "123456",        "transactionId": "12987654321"    },    "id": "6502821914766725604006",    "orderInformation": {        "amountDetails": {            "totalAmount": "10.00",            "authorizedAmount": "10.00",            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "accountFeatures": {            "category": "A",            "group": "0"        },        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "emv": {            "tags": "5004564953419F26087C14E9BE1F1065094F07A0000000031010820220009F360203709F0702C0809F2701409F100706010A03902000950500000000009F3704DB6AD1679A032111145F3401019F1A0203809F33036008C89F34031F03029F3501259F02060000000000009F03060000000000005F2A0209789C01005F2D046974656E9F0607A00000000310108407A00000000310109F21031726589F6E04207000009F40052000000001DFFEC30A020100"        }    },    "processorInformation": {        "systemTraceAuditNumber": "114880",        "approvalCode": "831000",        "networktransactionId": "016153570198200",        "retrievalReferenceNumber": "210811114880",        "transactionId": "12987654321",        "responseCode": "00",        "avs": {            "code": "2"        }    },    "reconciliationId": "dsgfsgsgsfdsgf",    "status": "AUTHORIZED",    "submitTimeUtc": "2022-04-18T11:43:11Z"}
{    "clientReferenceInformation": {        "code": "CUP Purchase Transit",        "transactionId": "12845674448",        "partner": {            "thirdPartyCertificationNumber": "123456789012"        }    },    "processingInformation": {        "commerceIndicator": "retail",        "industryDataType": "transit",        "reconciliationId": "8897YHGTH09Y",        "linkId": "7007351831836009903681",        "capture": "true",        "authorizationOptions": {            "debtRecoveryIndicator": "true",            "deferredAuthIndicator": "true"        }    },    "tokenInformation": {        "jti": "c76392f4-cde4-11aa-b8bc-0242ac14c074"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "THB"        }    },    "pointOfSaleInformation": {        "operatingEnvironment": "2",        "terminalId": "3444",        "catLevel": "2",        "entryMode": "contactless",        "terminalCapability": "5",        "terminalPinCapability": "0",        "emv": {            "cardSequenceNumber": "01"        }    },    "paymentInformation": {        "card": {            "type": "062"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/7012410160086081703137/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7012410160086081703137"        }    },    "clientReferenceInformation": {        "code": "CUP Purchase Transit",        "transactionId": "12845674448"    },    "id": "7012410160086081703137",    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "authorizedAmount": "100.00",            "currency": "THB"        }    },    "paymentAccountInformation": {        "card": {            "type": "062"        }    },    "paymentInformation": {        "tokenizedCard": {            "type": "062"        },        "card": {            "type": "062"        }    },    "processorInformation": {        "approvalCode": "005290",        "settlementDate": "0501",        "responseCode": "00",        "avs": {            "code": "2"        }    },    "reconciliationId": "8897YHGTH09Y",    "status": "AUTHORIZED",    "submitTimeUtc": "2023-11-29T06:56:57Z"}

Required Fields

Visa Platform Connect Required Fields
FieldTypeDescription
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.catLevel
pointOfSaleInformation.entryMode
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapability
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.captureSet this field to true.
processingInformation.captureOptions.dateToCapture
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.
processingInformation.reconciliationId
tokenInformation.jti
China UnionPay Required Fields
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.partner.thirdPartyCertificationNumber
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.catLevel
pointOfSaleInformation.emv.cardSequenceNumberSet this field to 01.
pointOfSaleInformation.entryMode
pointOfSaleInformation.operatingEnvironment
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalId
pointOfSaleInformation.terminalPinCapability
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.deferredAuthIndicatorSet this field to true.
processingInformation.captureSet this field to true.
processingInformation.commerceIndicatorSet this field to retail.
processingInformation.industryDataTypeSet this field to transit.
processingInformation.linkId
processingInformation.reconciliationId
tokenInformation.jti

Last published: September 29, 2026